#include <lib/std.mi>

Function onVideoResize(int w);

Global Layout videoLayout;
Global Group videoGroup;
Global Group visGroup;
Global Int skipNextResizeEvent;

System.onScriptLoaded() {
  videoLayout = getContainer("Video").getLayout("Normal");
//  Group stdframe = videoLayout.findObject("wasabi.standardframe.statusbar");
//  Group content = stdframe.findObject("video.content.group");
  visGroup = videoLayout.findObject("video.visualization");
  onVideoResize(videoLayout.getWidth());
}

videoLayout.onResize(int x, int y, int w, int h) {
  if (skipNextResizeEvent) {
    skipNextResizeEvent = 0;
    return;
  }
  onVideoResize(w);
}

onVideoResize(int w) {
  if (w < 329) {
    visGroup.hide();
    return;
  } else {
    visGroup.show();
    return;
  }
}

